/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.7

Copyright (C) 2006-2007  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

// Scripts permettant les validations de formulaires

<!-- Fonction pour valider le formulaire client -->
function verif_cli(formulaire,tab_champ,pays,lng)
{
	var c_value = "";
	for (var i=0; i < document.cli_maj.prev.length; i++)
	{
		if (document.cli_maj.prev[i].checked)
		{
			c_value = document.cli_maj.prev[i].value;
		}
	}
	
	var formok=VForm(formulaire,tab_champ,pays,lng);
	var champok=true;

	if (formok==true)
	{
		if ((c_value==0) && (document.cli_maj.email.value==""))
		{
			alert("Vous n'avez pas saisi d'adresse email et demandé à prévenir par email.");
			champok=false;
		}

		if ((c_value==2) && (document.cli_maj.fax.value==""))
		{
			checkok = confirm("Vous n'avez pas saisi de numéro de télécopie et demandé à prévenir par écrit ou fax.\nMerci de confirmer.");
			champok=checkok;
		}

		if ((c_value==3) && (document.cli_maj.telp.value==""))
		{
			checkok = confirm("Vous n'avez pas saisi de numéro de téléphone portable et demandé à prévenir par SMS.\nMerci de confirmer.");
			champok=checkok;
		}
	}

	if ((champok==true) && (formok==true))
	{
		return true;
	}
	else
	{
		return false;
	}
}

<!-- Fonction pour valider le formulaire opérateur-->
function verif_ope(formulaire,tab_champ,pays,lng)
{
	var formok=VForm(formulaire,tab_champ,pays,lng);
	var champok=true;

	if (formok==true)
	{
		if (document.ope_maj.dconges.value!='')
		{
			var messerr='';
			if (document.ope_maj.fconges.value!='')
			{
				var tab_dated=document.ope_maj.dconges.value.split('-');
				dated = new Date();
				dated.setDate(tab_dated[0]);
				dated.setMonth(tab_dated[1]-1);
				dated.setFullYear(tab_dated[2]); 
				var tab_datef=document.ope_maj.fconges.value.split('-');
				datef = new Date();
				datef.setDate(tab_datef[0]);
				datef.setMonth(tab_datef[1]-1);
				datef.setFullYear(tab_datef[2]);
				if (datef.getTime()<dated.getTime())
				{
					messerr += "\nLa date de fin de congés est inférieure à la date de début";
					champok=false;
				}
			}
			else
			{
				messerr += "\nLa date de fin de congés n\'est pas saisie";
				champok=false;
			}
		}
	}

	if (champok == false)
	{
		alert (messerr);
	}

	if ((champok==true) && (formok==true))
	{
		return true;
	}
	else
	{
		return false;
	}
}

<!-- Fonction pour valider le formulaire technicien -->
function verif_tec(formulaire,tab_champ,pays,lng)
{
	var formok=VForm(formulaire,tab_champ,pays,lng);
	var champok=true;

	if (formok==true)
	{
		if (document.tec_maj.dconges.value!='')
		{
			var messerr='';
			if (document.tec_maj.fconges.value!='')
			{
				var tab_dated=document.tec_maj.dconges.value.split('-');
				dated = new Date();
				dated.setDate(tab_dated[0]);
				dated.setMonth(tab_dated[1]-1);
				dated.setFullYear(tab_dated[2]); 
				var tab_datef=document.tec_maj.fconges.value.split('-');
				datef = new Date();
				datef.setDate(tab_datef[0]);
				datef.setMonth(tab_datef[1]-1);
				datef.setFullYear(tab_datef[2]);
				if (datef.getTime()<dated.getTime())
				{
					messerr += "\nLa date de fin de congés est inférieure à la date de début";
					champok=false;
				}
			}
			else
			{
				messerr += "\nLa date de fin de congés n\'est pas saisie";
				champok=false;
			}
		}
	}

	if (champok == false)
	{
		alert (messerr);
	}

	if ((champok==true) && (formok==true))
	{
		return true;
	}
	else
	{
		return false;
	}
}

<!-- Fonction pour valider le formulaire intervention -->
function verif_int(formulaire,tab_champ,pays,lng,val_id)
{
	var formok=VForm(formulaire,tab_champ,pays,lng);
	
	if (formok==true)
	{
		var faitok=true;
		var objet1 = window.document.getElementById('fait');
		if (objet1)
		{
			if (document.int_maj.fait.value != '')
			{
				faitok=verif_fait();
			}
			else
			{
				if ((document.int_maj.dateprevf.value != '') || (document.int_maj.datefinf.value != ''))
				{
					faitok=false;
					alert('Vous n\'avez pas saisi le travail effectué');
					document.getElementById("f_fait").className = 'rubfrmrelief';
					document.int_maj.fait.focus();
				}
				else
				{
					if (document.int_maj.tect.value != '')
					{
						faitok=false;
						alert('Vous avez saisi un détail horaire et des techniciens traitants sans saisir de travail effectué');
						document.getElementById("f_fait").className = 'rubfrmrelief';
						document.int_maj.fait.focus();
					}
					else
					{
						document.getElementById("f_fait").className = 'rubfrm';
					}
				}
			}
		}
		var rdvok=true;
		if (document.int_maj.daterdvf.value!='')
		{
			if (document.int_maj.hrdv.value=='')
			{
				rdvok=false;
				alert('Vous avez pris un rdv : vous devez choisir une heure de rdv');
				document.getElementById("f_rdv").className = 'rubfrmrelief';
				document.int_maj.hrdv.focus();
			}
			else
			{
				document.getElementById("f_rdv").className = 'rubfrm';
			}
		}
		if (document.int_maj.hrdv.value!='')
		{
			if (document.int_maj.daterdvf.value=='')
			{
				rdvok=false;
				alert('Vous avez choisi une heure de rdv sans date...');
				document.getElementById("f_rdv").className = 'rubfrmrelief';
				document.int_maj.hrdv.focus();
			}
			else
			{
				document.getElementById("f_rdv").className = 'rubfrm';
			}
		}
		var idok=true;
		if (val_id=="")
		{
			idok=false;
			alert('Vous devez choisir un site d\'intervention');
		}
		if ((rdvok==true) && (idok==true) && (faitok==true))
		{
			return true;
		}
		else
		{
			return false;
		}
	}
	else
	{
		return false;
	}
}

<!-- Fonction pour valider le formulaire ordre -->
function verif_ot(formulaire,tab_champ,pays,lng)
{
	var faitok=true;
	var objet1 = window.document.getElementById('fait');
	if (objet1)
	{
		if (document.ot_maj.fait.value != '')
		{
			faitok=verif_fait2();
		}
		else
		{
			if ((document.ot_maj.dateprevf.value != '') || (document.ot_maj.datefinf.value != ''))
			{
				faitok=false;
				alert('Vous n\'avez pas saisi le travail effectué');
				document.getElementById("f_fait").className = 'rubfrmrelief';
				document.ot_maj.fait.focus();
			}
			else
			{
				if (document.ot_maj.tect.value != '')
				{
					faitok=false;
					alert('Vous avez saisi un détail horaire et des techniciens traitants sans saisir de travail effectué');
					document.getElementById("f_fait").className = 'rubfrmrelief';
					document.ot_maj.fait.focus();
				}
				else
				{
					document.getElementById("f_fait").className = 'rubfrm';
				}
			}
		}
	}
	var rdvok=true;
	if (document.ot_maj.daterdvf.value!='')
	{
		if (document.ot_maj.hrdv.value=='')
		{
			rdvok=false;
			alert('Vous avez pris un rdv : vous devez choisir une heure de rdv');
			document.getElementById("f_rdv").className = 'rubfrmrelief';
			document.ot_maj.hrdv.focus();
		}
		else
		{
			document.getElementById("f_rdv").className = 'rubfrm';
		}
	}
	if (document.ot_maj.hrdv.value!='')
	{
 		if (document.ot_maj.daterdvf.value=='')
		{
			rdvok=false;
			alert('Vous avez choisi une heure de rdv sans date...');
			document.getElementById("f_rdv").className = 'rubfrmrelief';
			document.ot_maj.rdv.focus();
		}
		else
		{
			document.getElementById("f_rdv").className = 'rubfrm';
		}
	}
	var formok=VForm(formulaire,tab_champ,pays,lng);
	if ((rdvok==true) && (faitok==true) && (formok==true))
	{
		return true;
	}
	else
	{
		return false;
	}
}

function verif_inth(formulaire,tab_champ,pays,lng)
{
	var heuresok=true;

	if ((document.inth_maj.heurea.value!='') && (document.inth_maj.heured.value!=''))
	{
		if (document.inth_maj.heurea.value==document.inth_maj.heured.value)
		{
			heuresok=false;
			alert('L\'heure de début et l\'heure de fin sont identiques');
			document.getElementById("f_horaires").className = 'rubfrmrelief';
			document.inth_maj.heurea.focus();
		}
		else
		{
			var tab_heurea=document.inth_maj.heurea.value.split(':');
			var tab_heured=document.inth_maj.heured.value.split(':');
			var heureasec=(Number(tab_heurea[0])*3600)+(Number(tab_heurea[1])*60);
			var heuredsec=(Number(tab_heured[0])*3600)+(Number(tab_heured[1])*60);
			if (heuredsec<heureasec)
			{
				heuresok=false;
				alert('L\'heure de fin est inférieure à l\'heure de début');
				document.inth_maj.heured.focus();
				document.getElementById("f_horaires").className = 'rubfrmrelief';
			}
			else
			{
				document.getElementById("f_horaires").className = 'rubfrm';
			}
		}
	}

	var formok=VForm(formulaire,tab_champ,pays,lng);
	if ((heuresok==true) && (formok==true))
	{
		return true;
	}
	else
	{
		return false;
	}
}

function verif_oth(formulaire,tab_champ,pays,lng)
{
	var heuresok=true;

	if ((document.oth_maj.heurea.value!='') && (document.oth_maj.heured.value!=''))
	{
		if (document.oth_maj.heurea.value==document.oth_maj.heured.value)
		{
			heuresok=false;
			alert('L\'heure de début et l\'heure de fin sont identiques');
			document.getElementById("f_horaires").className = 'rubfrmrelief';
			document.oth_maj.heurea.focus();
		}
		else
		{
			var tab_heurea=document.oth_maj.heurea.value.split(':');
			var tab_heured=document.oth_maj.heured.value.split(':');
			var heureasec=(Number(tab_heurea[0])*3600)+(Number(tab_heurea[1])*60);
			var heuredsec=(Number(tab_heured[0])*3600)+(Number(tab_heured[1])*60);
			if (heuredsec<heureasec)
			{
				heuresok=false;
				alert('L\'heure de fin est inférieure à l\'heure de début');
				document.oth_maj.heured.focus();
				document.getElementById("f_horaires").className = 'rubfrmrelief';
			}
			else
			{
				document.getElementById("f_horaires").className = 'rubfrm';
			}
		}
	}

	var formok=VForm(formulaire,tab_champ,pays,lng);
	if ((heuresok==true) && (formok==true))
	{
		return true;
	}
	else
	{
		return false;
	}
}

<!-- Fonction pour valider le formulaire contrat client-->
function verif_cocl(formulaire,tab_champ,pays,lng,val_delai)
{
	var champok = true;
	var messerr = 'Problème de validation des paramètres :\n';

	var delai_nul=false;
	if ((val_delai=='') || (val_delai=='0'))
	{
		delai_nul=true;
	}

	var txt_sel = document.cocl_maj.cope.options[document.cocl_maj.cope.selectedIndex].text;
	var exist_str = txt_sel.indexOf('demande',0);

	if ((exist_str >= 0) && (delai_nul==true))
	{
		messerr += "\nVous devez choisir un délai d\'intervention pour ce type de fréquence";
		champok=false;
	}

	if ((exist_str == -1) && (delai_nul==false))
	{
		messerr += "\nVous avez saisi un délai d\'intervention pour une fréquence n\'en ayant pas besoin";
		champok=false;
	}

	if (document.cocl_maj.typh.value == '1')
	{
		if (document.cocl_maj.nbh.value == '00:00')
		{
			messerr += "\nVous n\'avez pas saisi de quantité d\'heure alors que c\'est un quota horaire.";
			champok=false;
		}
	}
	
	if (document.cocl_maj.datedf.value != '')
	{
		if (document.cocl_maj.datedf.value != document.cocl_maj.dateff.value)
		{
			if (document.cocl_maj.dateff.value != '')
			{
				var tab_dated=document.cocl_maj.datedf.value.split('-');
				dated = new Date();
				dated.setDate(tab_dated[0]);
				dated.setMonth(tab_dated[1]-1);
				dated.setFullYear(tab_dated[2]); 
				var tab_datef=document.cocl_maj.dateff.value.split('-');
				datef = new Date();
				datef.setDate(tab_datef[0]);
				datef.setMonth(tab_datef[1]-1);
				datef.setFullYear(tab_datef[2]);
				if (datef.getTime()<dated.getTime())
				{
					messerr += "\nLa date de fin de contrat est inférieure à la date de début";
					champok=false;
				}
			}
		}
		else
		{
			messerr += "\nLes dates de début et de fin de contrat sont identiques";
			champok=false;
		}
	}
	else
	{
		messerr += "\nIl manque la date de début de contrat";
		champok=false;
	}	
	
	if (champok == false)
	{
		alert (messerr);
	}

	var formok=VForm(formulaire,tab_champ,pays,lng);
	if ((champok==true) && (formok==true))
	{
		return true;
	}
	else
	{
		return false;
	}
}

<!-- Fonction pour valider le formulaire import data-->
function verif_impd(formulaire,tab_champ,pays,lng,tableau_champs)
{
	var pas_select=false;
	for (i=0; i<tableau_champs.length; i++)
	{
		var champ=document.getElementsByName(tableau_champs[i]);
		var val_champ=champ[0].value;
		if (val_champ=="")
		{
			champ[0].className="frmbad";
			pas_select=true;
		}
		else
		{
			champ[0].className="frmok";
		}
	}
	var champ_ok=true;
	if (pas_select==true)
	{
		champ_ok=false;
		alert('Vous devez paramétrer tous les champs à importer.');
	}
	var formok=VForm(formulaire,tab_champ,pays,lng);
	if ((champ_ok==true) && (formok==true))
	{
		return true;
	}
	else
	{
		return false;
	}
}

<!-- Fonction pour valider le formulaire purge des logs connexions-->
function verif_logs(formulaire,tab_champ,pays,lng,valbouton)
{
	var nom_form=eval(formulaire);
	if (valbouton=="Purger")
	{
		var formok=VForm(nom_form,tab_champ,pays,lng);

		var champok=true;
		if (formok==true)
		{
			var messerr='';
			var tab_dated=nom_form.date1f.value.split('-');
			dated = new Date();
			dated.setDate(tab_dated[0]);
			dated.setMonth(tab_dated[1]-1);
			dated.setFullYear(tab_dated[2]); 
			var tab_datef=nom_form.date2f.value.split('-');
			datef = new Date();
			datef.setDate(tab_datef[0]);
			datef.setMonth(tab_datef[1]-1);
			datef.setFullYear(tab_datef[2]);
			if (datef.getTime()<dated.getTime())
			{
				messerr += "\nLa date de fin est inférieure à la date de début";
				champok=false;
			}
		}

		if (champok == false)
		{
			alert (messerr);
		}
	
		if ((champok==true) && (formok==true))
		{
			nom_form.submit();
			return true;
		}
		else
		{
			return false;
		}

		return false;
	}
	
	nom_form.submit();
	return true;
}

<!-- Fonction pour valider le formulaire purge des logs fichiers-->
function verif_flogs(formulaire,tab_champ,pays,lng,valbouton)
{
	var nom_form=eval(formulaire);
	if (valbouton=="Purger")
	{
		var formok=VForm(nom_form,tab_champ,pays,lng);

		var champok=true;
		if (formok==true)
		{
			var messerr='';
			var tab_dated=nom_form.date1f.value.split('-');
			dated = new Date();
			dated.setDate(tab_dated[0]);
			dated.setMonth(tab_dated[1]-1);
			dated.setFullYear(tab_dated[2]); 
			var tab_datef=nom_form.date2f.value.split('-');
			datef = new Date();
			datef.setDate(tab_datef[0]);
			datef.setMonth(tab_datef[1]-1);
			datef.setFullYear(tab_datef[2]);
			if (datef.getTime()<dated.getTime())
			{
				messerr += "\nLa date de fin est inférieure à la date de début";
				champok=false;
			}
		}

		if (champok == false)
		{
			alert (messerr);
		}
	
		if ((champok==true) && (formok==true))
		{
			nom_form.submit();
			return true;
		}
		else
		{
			return false;
		}

		return false;
	}
	
	nom_form.submit();
	return true;
}

<!-- Fonction pour valider le formulaire stats des agences-->
function verif_stats_age(formulaire,tab_champ,pays,lng,valbouton)
{
	var nom_form=eval(formulaire);
	if (valbouton=="Calculer")
	{
		var formok=VForm(nom_form,tab_champ,pays,lng);

		var champok=true;
		var ageok=true;
		if (formok==true)
		{
			var messerr='';

			var es = document.getElementById("age");
			var allage=false;
			for ( var i=0; i<es.options.length; i++)
			{
				if (es.options[i].selected == true )
				{
					if (es.options[i].value == '*')
					{
						allage=true;
					}
					else
					{
						if (allage==true)
						{
							messerr += "\nVous ne pouvez sélectionner 'Toutes les agences' que seul";
							champok=false;
						}
					}
				}
			}
	
			var tab_dated=nom_form.date1f.value.split('-');
			dated = new Date();
			dated.setDate(tab_dated[0]);
			dated.setMonth(tab_dated[1]-1);
			dated.setFullYear(tab_dated[2]); 
			var tab_datef=nom_form.date2f.value.split('-');
			datef = new Date();
			datef.setDate(tab_datef[0]);
			datef.setMonth(tab_datef[1]-1);
			datef.setFullYear(tab_datef[2]);
			if (datef.getTime()<dated.getTime())
			{
				messerr += "\nLa date de fin est inférieure à la date de début";
				champok=false;
			}
			
			if (messerr != '')
			{
				alert (messerr);
			}
		}
	
		if ((champok==true) && (formok==true))
		{
			nom_form.submit();
			return true;
		}
		else
		{
			return false;
		}

		return false;
	}
	
	nom_form.submit();
	return true;
}

<!-- Fonction pour valider le formulaire stats des donneurs d'ordres-->
function verif_stats_do(formulaire,tab_champ,pays,lng,valbouton)
{
	var nom_form=eval(formulaire);
	if (valbouton=="Calculer")
	{
		var formok=VForm(nom_form,tab_champ,pays,lng);

		var champok=true;
		var ageok=true;
		if (formok==true)
		{
			var messerr='';

			var es = document.getElementById("do");
			var allage=false;
			for ( var i=0; i<es.options.length; i++)
			{
				if (es.options[i].selected == true )
				{
					if (es.options[i].value == '*')
					{
						allage=true;
					}
					else
					{
						if (allage==true)
						{
							messerr += "\nVous ne pouvez sélectionner 'Tous les donneurs d\'ordres' que seul";
							champok=false;
						}
					}
				}
			}
	
			var tab_dated=nom_form.date1f.value.split('-');
			dated = new Date();
			dated.setDate(tab_dated[0]);
			dated.setMonth(tab_dated[1]-1);
			dated.setFullYear(tab_dated[2]); 
			var tab_datef=nom_form.date2f.value.split('-');
			datef = new Date();
			datef.setDate(tab_datef[0]);
			datef.setMonth(tab_datef[1]-1);
			datef.setFullYear(tab_datef[2]);
			if (datef.getTime()<dated.getTime())
			{
				messerr += "\nLa date de fin est inférieure à la date de début";
				champok=false;
			}
			
			if (messerr != '')
			{
				alert (messerr);
			}
		}
	
		if ((champok==true) && (formok==true))
		{
			nom_form.submit();
			return true;
		}
		else
		{
			return false;
		}

		return false;
	}
	
	nom_form.submit();
	return true;
}

<!-- Fonction pour valider le formulaire stats des sous-traitants -->
function verif_stats_st(formulaire,tab_champ,pays,lng,valbouton)
{
	var nom_form=eval(formulaire);
	if (valbouton=="Calculer")
	{
		var formok=VForm(nom_form,tab_champ,pays,lng);

		var champok=true;
		var ageok=true;
		if (formok==true)
		{
			var messerr='';

			var es = document.getElementById("st");
			var allage=false;
			for ( var i=0; i<es.options.length; i++)
			{
				if (es.options[i].selected == true )
				{
					if (es.options[i].value == '*')
					{
						allage=true;
					}
					else
					{
						if (allage==true)
						{
							messerr += "\nVous ne pouvez sélectionner 'Tous les sous-traitants' que seul";
							champok=false;
						}
					}
				}
			}
	
			var tab_dated=nom_form.date1f.value.split('-');
			dated = new Date();
			dated.setDate(tab_dated[0]);
			dated.setMonth(tab_dated[1]-1);
			dated.setFullYear(tab_dated[2]); 
			var tab_datef=nom_form.date2f.value.split('-');
			datef = new Date();
			datef.setDate(tab_datef[0]);
			datef.setMonth(tab_datef[1]-1);
			datef.setFullYear(tab_datef[2]);
			if (datef.getTime()<dated.getTime())
			{
				messerr += "\nLa date de fin est inférieure à la date de début";
				champok=false;
			}
			
			if (messerr != '')
			{
				alert (messerr);
			}
		}
	
		if ((champok==true) && (formok==true))
		{
			nom_form.submit();
			return true;
		}
		else
		{
			return false;
		}

		return false;
	}
	
	nom_form.submit();
	return true;
}

<!-- Fonction pour valider le formulaire stats des opérateurs-->
function verif_stats_ope(formulaire,tab_champ,pays,lng,valbouton)
{
	var nom_form=eval(formulaire);
	if (valbouton=="Calculer")
	{
		var formok=VForm(nom_form,tab_champ,pays,lng);

		var champok=true;
		var opeok=true;
		if (formok==true)
		{
			var messerr='';

			var es = document.getElementById("ope");
			var allope=false;
			for ( var i=0; i<es.options.length; i++)
			{
				if (es.options[i].selected == true )
				{
					if (es.options[i].value == '*')
					{
						allope=true;
					}
					else
					{
						if (allope==true)
						{
							messerr += "\nVous ne pouvez sélectionner 'Tous les opérateurs' que seul";
							champok=false;
						}
					}
				}
			}
	
			var tab_dated=nom_form.date1f.value.split('-');
			dated = new Date();
			dated.setDate(tab_dated[0]);
			dated.setMonth(tab_dated[1]-1);
			dated.setFullYear(tab_dated[2]); 
			var tab_datef=nom_form.date2f.value.split('-');
			datef = new Date();
			datef.setDate(tab_datef[0]);
			datef.setMonth(tab_datef[1]-1);
			datef.setFullYear(tab_datef[2]);
			if (datef.getTime()<dated.getTime())
			{
				messerr += "\nLa date de fin est inférieure à la date de début";
				champok=false;
			}
			
			if (messerr != '')
			{
				alert (messerr);
			}
		}
	
		if ((champok==true) && (formok==true))
		{
			nom_form.submit();
			return true;
		}
		else
		{
			return false;
		}

		return false;
	}
	
	nom_form.submit();
	return true;
}

<!-- Fonction pour valider le formulaire stats des techniciens -->
function verif_stats_tec(formulaire,tab_champ,pays,lng,valbouton)
{
	var nom_form=eval(formulaire);
	if (valbouton=="Calculer")
	{
		var formok=VForm(nom_form,tab_champ,pays,lng);

		var champok=true;
		var tecok=true;
		if (formok==true)
		{
			var messerr='';

			var es = document.getElementById("tec");
			var alltec=false;
			for ( var i=0; i<es.options.length; i++)
			{
				if (es.options[i].selected == true )
				{
					if (es.options[i].value == '*')
					{
						alltec=true;
					}
					else
					{
						if (alltec==true)
						{
							messerr += "\nVous ne pouvez sélectionner 'Tous les techniciens' que seul";
							champok=false;
						}
					}
				}
			}
	
			var tab_dated=nom_form.date1f.value.split('-');
			dated = new Date();
			dated.setDate(tab_dated[0]);
			dated.setMonth(tab_dated[1]-1);
			dated.setFullYear(tab_dated[2]); 
			var tab_datef=nom_form.date2f.value.split('-');
			datef = new Date();
			datef.setDate(tab_datef[0]);
			datef.setMonth(tab_datef[1]-1);
			datef.setFullYear(tab_datef[2]);
			if (datef.getTime()<dated.getTime())
			{
				messerr += "\nLa date de fin est inférieure à la date de début";
				champok=false;
			}
			
			if (messerr != '')
			{
				alert (messerr);
			}
		}
	
		if ((champok==true) && (formok==true))
		{
			nom_form.submit();
			return true;
		}
		else
		{
			return false;
		}

		return false;
	}
	
	nom_form.submit();
	return true;
}

<!-- Fonction pour valider le formulaire de téléchargement des fichiers-->
function verif_upl(formulaire,tab_champ,pays,lng)
{
	var formok=VForm(formulaire,tab_champ,pays,lng);
	var champok=true;

	if (formok==true)
	{
		var messerr='';
		if (document.upl_maj.upload.value=='')
		{
			messerr += "\nMerci de choisir un fichier à télécharger";
			champok=false;
			document.upl_maj.upload.focus();
			document.getElementById("f_upload").className = 'rubfrmrelief';
		}
		else
		{
			document.getElementById("f_upload").className = 'rubfrm';
		}
	}

	if (champok == false)
	{
		alert (messerr);
	}

	if ((champok==true) && (formok==true))
	{
		display('pas_wait','none');display('wait','block');		
		return true;
	}
	else
	{
		return false;
	}
}

<!-- Fonction pour valider le formulaire de téléchargement des logos agences -->
function verif_upll(formulaire,tab_champ,pays,lng)
{
	var formok=VForm(formulaire,tab_champ,pays,lng);
	var champok=true;

	if (formok==true)
	{
		var messerr='';
		if (document.upll_maj.upload.value=='')
		{
			messerr += "\nMerci de choisir un fichier à télécharger";
			champok=false;
			document.upll_maj.upload.focus();
			document.getElementById("f_upload").className = 'rubfrmrelief';
		}
		else
		{
			document.getElementById("f_upload").className = 'rubfrm';
		}
	}

	if (champok == false)
	{
		alert (messerr);
	}

	if ((champok==true) && (formok==true))
	{
		display('pas_wait','none');display('wait','block');		
		return true;
	}
	else
	{
		return false;
	}
}

<!-- Fonction pour valider le formulaire de téléchargement des logos centre de gestion -->
function verif_upll2()
{
	var champok=true;

	var messerr='';
	if (document.upll_maj.upload.value=='')
	{
		messerr += "\nMerci de choisir un fichier à télécharger";
		champok=false;
		document.upll_maj.upload.focus();
		document.getElementById("f_upload").className = 'rubfrmrelief';
	}
	else
	{
		document.getElementById("f_upload").className = 'rubfrm';
	}

	if (champok == false)
	{
		alert (messerr);
	}

	if (champok==true)
	{
		display('pas_wait','none');display('wait','block');		
		return true;
	}
	else
	{
		return false;
	}
}

<!-- Fonction pour valider le formulaire d'export -->
function verif_exp(formulaire,tab_champ,pays,lng)
{
	var formok=VForm(formulaire,tab_champ,pays,lng);

	if (formok==true)
	{
		display('patience','block');
		display('boutons','none');
		return true;
	}
	else
	{
		return false;
	}
}

<!-- Fonction pour valider le formulaire client de choix pour déclaration de problème -->
function verif_chxml(formulaire,tab_champ,pays,lng)
{
	var formok=VForm(formulaire,tab_champ,pays,lng);

	if (formok==true)
	{
 		window.location.href=document.dpbm.chxml.value;
		return true;
	}
	else
	{
		return false;
	}
}
